bitel.billing.server.bill.bean

## Class TemplateBillManager

- java.lang.Object
- - bitel.billing.server.bill.bean.TemplateBillManager

-     public class TemplateBillManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateBillManager(Preferences moduleSetup, java.sql.Connection con, int mid, boolean invoice)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TemplateBill>` | `getTemplatePayBillList(Preferences moduleSetup, int yy, int mm, java.lang.String groups, java.lang.String cids, java.lang.String docTypes, java.lang.String[] outgoing)` Генерация счетов.
    `java.util.List<TemplateBill>` | `getTemplatePayBillList(Preferences moduleSetup, int yy, int mm, java.lang.String groups, java.lang.String cids, java.lang.String docTypes, java.lang.String[] outgoing, boolean checkPast)` Генерация счетов
    `void` | `getTemplatePositions(ContractManager contractManager, TemplateBill bill, java.util.Calendar date, int contractId, java.lang.String billCids, ContractDocType contractDocType, DocType docType, java.util.Map<java.lang.Integer,Position> positionMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateBillManager

          public TemplateBillManager(Preferences moduleSetup,
                                     java.sql.Connection con,
                                     int mid,
                                     boolean invoice)

  - ### Method Detail

    - #### getTemplatePayBillList

          public java.util.List<TemplateBill> getTemplatePayBillList(Preferences moduleSetup,
                                                                     int yy,
                                                                     int mm,
                                                                     java.lang.String groups,
                                                                     java.lang.String cids,
                                                                     java.lang.String docTypes,
                                                                     java.lang.String[] outgoing)
                                                              throws ru.bitel.bgbilling.common.BGException

      Генерация счетов. Не генерирует счета за будущее.
      Parameters:
        `moduleSetup` - -setup модуля Бухгалтерия
        `yy` - - год
        `mm` - = месяц
        `groups` - - группы договоров
        `cids` - - договора
        `docTypes` - - типы документов
        `outgoing` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTemplatePayBillList

          public java.util.List<TemplateBill> getTemplatePayBillList(Preferences moduleSetup,
                                                                     int yy,
                                                                     int mm,
                                                                     java.lang.String groups,
                                                                     java.lang.String cids,
                                                                     java.lang.String docTypes,
                                                                     java.lang.String[] outgoing,
                                                                     boolean checkPast)
                                                              throws ru.bitel.bgbilling.common.BGException

      Генерация счетов
      Parameters:
        `moduleSetup` - -setup модуля Бухгалтерия
        `yy` - - год
        `mm` - = месяц
        `groups` - - группы договоров
        `cids` - - договора
        `docTypes` - - типы документов
        `outgoing` -
        `checkPast` - - true: проверять то, что мы не генериурем счет в будущем и если в будущем, то ничего не делать.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTemplatePositions

          public void getTemplatePositions(ContractManager contractManager,
                                           TemplateBill bill,
                                           java.util.Calendar date,
                                           int contractId,
                                           java.lang.String billCids,
                                           ContractDocType contractDocType,
                                           DocType docType,
                                           java.util.Map<java.lang.Integer,Position> positionMap)